using System;
using System.Collections.Generic;
using System.Text;

namespace TaskPluginInterface
{
    /// <summary>
    /// Used to define the attributes available to a plug-in class.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class)]
    public sealed class PluginAttribute : Attribute
    {
        private PluginType _Type;
        /// <summary>
        /// The constructor for the attribute.
        /// </summary>
        /// <param name="T">The <see cref="PluginType" /></param>
        public PluginAttribute(PluginType T) { _Type = T; }
        /// <summary>
        /// The <see cref="PluginType"/>.
        /// </summary>
        public PluginType Type { get { return _Type; } }
    }
}
