using Guadagno.Utilities.Configuration;

namespace ApplicationPlugins
{
    /// <summary>
    /// 
    /// </summary>
   public class PluginShellConfig: ConfigurationBase
   {
       /// <summary>
       /// Initializes a new instance of the <see cref="PluginShellConfig"/> class.
       /// </summary>
      public PluginShellConfig () { }
      /// <summary>
      /// Initializes a new instance of the <see cref="PluginShellConfig"/> class.
      /// </summary>
      /// <param name="stage">The stage or environment to load.</param>
      public PluginShellConfig (string stage) : base(stage) { }
      /// <summary>
      /// Initializes a new instance of the <see cref="PluginShellConfig"/> class.
      /// </summary>
      /// <param name="stage">The stage or environment to load.</param>
      /// <param name="filename">The filename of the configuration file to load.</param>
      public PluginShellConfig (string stage, string filename) : base(stage, filename) { }

      #region Public Properties From XML

      /// <summary>
      /// Gets the schedule from the configuration file.
      /// </summary>
      /// <value>The schedule element.</value>
      public string Schedule { get { return this["Schedule"]; } }
      /// <summary>
      /// Gets the log4net configuration from the configuration file.
      /// </summary>
      /// <value>The log4net configuration element.</value>
      public string Log4NetConfig { get { return this["log4net"]; } }

      #endregion Public Properties From XML
   }
}
