namespace TaskPluginInterface
{

    /// <summary>
    /// Indicates the type of the Plugin
    /// </summary>
    public enum PluginType
    {
        /// <summary>
        /// Indicates the plug-in is used for importing data.
        /// </summary>
        Import,
        /// <summary>
        /// Indicates the plug-in is used for launching executables.
        /// </summary>
        Executable,
        /// <summary>
        /// Indicates the plug-in is used for processing SQL statements.
        /// </summary>
        SQL,
        /// <summary>
        /// Denotes the type of plug-in is not known.
        /// </summary>
        Unknown
    };

    /// <summary>
    /// Indicates the result of the Execute Method.
    /// </summary>
    public enum ExecuteResult
    {
        /// <summary>
        /// Indicates the Execute method was successful.
        /// </summary>
        Ok,
        /// <summary>
        /// Indicates the Execute method has failed.
        /// </summary>
        Failed,
        /// <summary>
        /// Indicates the Execute method encountered an exception.
        /// </summary>
        Exception,
        /// <summary>
        /// Indicates the Execute method was canceled.
        /// </summary>
        Canceled
    }

}