using Guadagno.Utilities.Configuration;

namespace TaskPluginTest
{
    /// <summary>
    /// A class that represents the configuration for the Task Plugin Test application.
    /// </summary>
    public class TaskPluginTestConfig: ConfigurationBase
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="TaskPluginTestConfig"/> class.
        /// </summary>
        public TaskPluginTestConfig() { }
        /// <summary>
        /// Initializes a new instance of the <see cref="TaskPluginTestConfig"/> class.
        /// </summary>
        /// <param name="stage">The stage.</param>
        public TaskPluginTestConfig(string stage) : base(stage) { }
        /// <summary>
        /// Initializes a new instance of the <see cref="TaskPluginTestConfig"/> class.
        /// </summary>
        /// <param name="stage">The stage.</param>
        /// <param name="filename">The filename.</param>
        public TaskPluginTestConfig(string stage, string filename) : base(stage, filename) { }
        
        #endregion Constructors

        #region Public Properties from XML

        /// <summary>
        /// Gets the log4 net config.
        /// </summary>
        /// <value>The log4 net config.</value>
        public string Log4NetConfig { get { return this["log4net"]; } }
        /// <summary>
        /// Gets the plugin path.
        /// </summary>
        /// <value>The plugin path.</value>
        public string PluginPath { get { return this["log4net"]; } }

        #endregion Public Properties from XML

    }
}
