using Guadagno.Utilities.Configuration;

namespace TaskService
{
    /// <summary>
    /// The configuration class for the Task Service
    /// </summary>
    public class TaskServiceConfig: ConfigurationBase
    {
        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="TaskServiceConfig"/> class.
        /// </summary>
        public TaskServiceConfig()
        { }
        /// <summary>
        /// Initializes a new instance of the <see cref="TaskServiceConfig"/> class.
        /// </summary>
        /// <param name="stage">The stage.</param>
        public TaskServiceConfig(string stage) : base(stage) { }
        /// <summary>
        /// Initializes a new instance of the <see cref="TaskServiceConfig"/> class.
        /// </summary>
        /// <param name="stage">The stage.</param>
        /// <param name="filename">The filename.</param>
        public TaskServiceConfig(string stage, string filename) : base(stage, filename) { }
        
        #endregion Constructors

        #region Public Properties from XML

        /// <summary>
        /// Gets the log4 net config.
        /// </summary>
        /// <value>The log4 net config.</value>
        public string Log4NetConfig { get { return this["log4net"]; } }
        /// <summary>
        /// Gets the plugin path.
        /// </summary>
        /// <value>The plugin path.</value>
        public string PluginPath { get { return this["PluginPath"]; } }

        #endregion Public Properties from XML

    }
}
